Skip to content
Developer

AdditionalUiField

System and settings5 EndpointsSettings / AdditionalUiField

Returns a list of all AdditionalUiField

GET/api/settings/ui_field

Query parameters

deletedbooleanThis property is used to mark an entity as deleted / archived | Default value: false
namestring
entityTypestringEntity the field is added to, for example Person.
infoModestringDisplay mode of the info text of the field.
fieldGroupstringGroup the field is shown in on the detail page.
fieldTypestringInput type of the field, for example text, number or date.
fieldNamestringTechnical name of the field. Used as the key in the API.
fieldOrderstringSort order of the field inside its group.
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of all AdditionalUiFieldarray<AdditionalUiField>

Show fields (16)
  • idinteger

    Primary key of the additional field. Internal ID.

  • entity_typestring

    Entity the field is added to, for example Person.

  • field_typestring

    Input type of the field, for example text, number or date.

  • field_groupstring

    Group the field is shown in on the detail page.

  • field_requiredboolean

    The field must be filled in.

  • field_orderinteger

    Sort order of the field inside its group.

  • field_scopestring

    Access scope needed to see or edit the field.

  • field_access_typeinteger

    Access type needed to see or edit the field, for example read or write.

  • field_is_internalboolean

    The field is only visible to internal users.

  • field_namestring

    Technical name of the field. Used as the key in the API.

  • info_modestring

    Display mode of the info text of the field.

  • field_include_in_exportboolean

    The field is included in exports.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/settings/ui_field \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "field_name": "Beispiel",
    "name": "Beispiel",
    "entity_type": "string",
    "field_type": "string",
    "field_group": "string",
    "field_required": true,
    "field_order": 1,
    "field_scope": "string",
    "field_access_type": 1
  }
]

Add a new AdditionalUiField

POST/api/settings/ui_field

Request body application/json

  • dataAdditionalUiField
    Show fields (16)
    • idinteger

      Primary key of the additional field. Internal ID.

    • entity_typestring

      Entity the field is added to, for example Person.

    • field_typestring

      Input type of the field, for example text, number or date.

    • field_groupstring

      Group the field is shown in on the detail page.

    • field_requiredboolean

      The field must be filled in.

    • field_orderinteger

      Sort order of the field inside its group.

    • field_scopestring

      Access scope needed to see or edit the field.

    • field_access_typeinteger

      Access type needed to see or edit the field, for example read or write.

    • field_is_internalboolean

      The field is only visible to internal users.

    • field_namestring

      Technical name of the field. Used as the key in the API.

    • info_modestring

      Display mode of the info text of the field.

    • field_include_in_exportboolean

      The field is included in exports.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Add a new AdditionalUiFieldAdditionalUiField

Show fields (16)
  • idinteger

    Primary key of the additional field. Internal ID.

  • entity_typestring

    Entity the field is added to, for example Person.

  • field_typestring

    Input type of the field, for example text, number or date.

  • field_groupstring

    Group the field is shown in on the detail page.

  • field_requiredboolean

    The field must be filled in.

  • field_orderinteger

    Sort order of the field inside its group.

  • field_scopestring

    Access scope needed to see or edit the field.

  • field_access_typeinteger

    Access type needed to see or edit the field, for example read or write.

  • field_is_internalboolean

    The field is only visible to internal users.

  • field_namestring

    Technical name of the field. Used as the key in the API.

  • info_modestring

    Display mode of the info text of the field.

  • field_include_in_exportboolean

    The field is included in exports.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/settings/ui_field \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "field_name": "Beispiel",
    "name": "Beispiel",
    "entity_type": "string",
    "field_type": "string",
    "field_group": "string"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "field_name": "Beispiel",
  "name": "Beispiel",
  "entity_type": "string",
  "field_type": "string",
  "field_group": "string",
  "field_required": true,
  "field_order": 1,
  "field_scope": "string",
  "field_access_type": 1
}

Returns a single AdditionalUiField entry.

GET/api/settings/ui_field/{identifier}

Path parameters

identifierrequiredstring

Responses

200Return single AdditionalUiFieldAdditionalUiField

Show fields (16)
  • idinteger

    Primary key of the additional field. Internal ID.

  • entity_typestring

    Entity the field is added to, for example Person.

  • field_typestring

    Input type of the field, for example text, number or date.

  • field_groupstring

    Group the field is shown in on the detail page.

  • field_requiredboolean

    The field must be filled in.

  • field_orderinteger

    Sort order of the field inside its group.

  • field_scopestring

    Access scope needed to see or edit the field.

  • field_access_typeinteger

    Access type needed to see or edit the field, for example read or write.

  • field_is_internalboolean

    The field is only visible to internal users.

  • field_namestring

    Technical name of the field. Used as the key in the API.

  • info_modestring

    Display mode of the info text of the field.

  • field_include_in_exportboolean

    The field is included in exports.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/settings/ui_field/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "field_name": "Beispiel",
  "name": "Beispiel",
  "entity_type": "string",
  "field_type": "string",
  "field_group": "string",
  "field_required": true,
  "field_order": 1,
  "field_scope": "string",
  "field_access_type": 1
}

Updates an existing AdditionalUiField entry.

PUT/api/settings/ui_field/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataAdditionalUiField
    Show fields (16)
    • idinteger

      Primary key of the additional field. Internal ID.

    • entity_typestring

      Entity the field is added to, for example Person.

    • field_typestring

      Input type of the field, for example text, number or date.

    • field_groupstring

      Group the field is shown in on the detail page.

    • field_requiredboolean

      The field must be filled in.

    • field_orderinteger

      Sort order of the field inside its group.

    • field_scopestring

      Access scope needed to see or edit the field.

    • field_access_typeinteger

      Access type needed to see or edit the field, for example read or write.

    • field_is_internalboolean

      The field is only visible to internal users.

    • field_namestring

      Technical name of the field. Used as the key in the API.

    • info_modestring

      Display mode of the info text of the field.

    • field_include_in_exportboolean

      The field is included in exports.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update single AdditionalUiFieldAdditionalUiField

Show fields (16)
  • idinteger

    Primary key of the additional field. Internal ID.

  • entity_typestring

    Entity the field is added to, for example Person.

  • field_typestring

    Input type of the field, for example text, number or date.

  • field_groupstring

    Group the field is shown in on the detail page.

  • field_requiredboolean

    The field must be filled in.

  • field_orderinteger

    Sort order of the field inside its group.

  • field_scopestring

    Access scope needed to see or edit the field.

  • field_access_typeinteger

    Access type needed to see or edit the field, for example read or write.

  • field_is_internalboolean

    The field is only visible to internal users.

  • field_namestring

    Technical name of the field. Used as the key in the API.

  • info_modestring

    Display mode of the info text of the field.

  • field_include_in_exportboolean

    The field is included in exports.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/settings/ui_field/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "field_name": "Beispiel",
    "name": "Beispiel",
    "entity_type": "string",
    "field_type": "string",
    "field_group": "string"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "field_name": "Beispiel",
  "name": "Beispiel",
  "entity_type": "string",
  "field_type": "string",
  "field_group": "string",
  "field_required": true,
  "field_order": 1,
  "field_scope": "string",
  "field_access_type": 1
}

Updates an existing AdditionalUiField entry.

PATCH/api/settings/ui_field/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataAdditionalUiField
    Show fields (16)
    • idinteger

      Primary key of the additional field. Internal ID.

    • entity_typestring

      Entity the field is added to, for example Person.

    • field_typestring

      Input type of the field, for example text, number or date.

    • field_groupstring

      Group the field is shown in on the detail page.

    • field_requiredboolean

      The field must be filled in.

    • field_orderinteger

      Sort order of the field inside its group.

    • field_scopestring

      Access scope needed to see or edit the field.

    • field_access_typeinteger

      Access type needed to see or edit the field, for example read or write.

    • field_is_internalboolean

      The field is only visible to internal users.

    • field_namestring

      Technical name of the field. Used as the key in the API.

    • info_modestring

      Display mode of the info text of the field.

    • field_include_in_exportboolean

      The field is included in exports.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update single AdditionalUiFieldAdditionalUiField

Show fields (16)
  • idinteger

    Primary key of the additional field. Internal ID.

  • entity_typestring

    Entity the field is added to, for example Person.

  • field_typestring

    Input type of the field, for example text, number or date.

  • field_groupstring

    Group the field is shown in on the detail page.

  • field_requiredboolean

    The field must be filled in.

  • field_orderinteger

    Sort order of the field inside its group.

  • field_scopestring

    Access scope needed to see or edit the field.

  • field_access_typeinteger

    Access type needed to see or edit the field, for example read or write.

  • field_is_internalboolean

    The field is only visible to internal users.

  • field_namestring

    Technical name of the field. Used as the key in the API.

  • info_modestring

    Display mode of the info text of the field.

  • field_include_in_exportboolean

    The field is included in exports.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/settings/ui_field/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "field_name": "Beispiel",
    "name": "Beispiel",
    "entity_type": "string",
    "field_type": "string",
    "field_group": "string"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "field_name": "Beispiel",
  "name": "Beispiel",
  "entity_type": "string",
  "field_type": "string",
  "field_group": "string",
  "field_required": true,
  "field_order": 1,
  "field_scope": "string",
  "field_access_type": 1
}